/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-31
 * 描述            ：质量设计-交付标准-公差标准
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;

import market.Qms.slmord.mapper.SlmOrdDesignStdSicMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_STD_SIC", namespace=SlmOrdDesignStdSicMapper.class)
public class SlmOrdDesignStdSic extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 公差标准索引号
	 */ 
	@Id
	private String sic;
	public String getSic() {
		return this.sic;
	}
	public void setSic(String sic) {
		this.sic = sic;
	}

	
	/**
	 * 全程工序顺序号
	 */
	@Id
	private int backlog_seq;
	
	public int getBacklog_seq() {
		return backlog_seq;
	}
	public void setBacklog_seq(int backlog_seq) {
		this.backlog_seq = backlog_seq;
	}

	
	
	/** 
	 * 协议或Alpha代码(用途码)
	 */ 
	@Column
	private String use_code;
	public String getUse_code() {
		return this.use_code;
	}
	public void setUse_code(String use_code) {
		this.use_code = use_code;
	}

	/** 
	 * 协议或Alpha描述(用途描述)
	 */ 
	@Column
	private String use_desc;
	public String getUse_desc() {
		return this.use_desc;
	}
	public void setUse_desc(String use_desc) {
		this.use_desc = use_desc;
	}

	/** 
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 */ 
	@Id
	private String specl_fl;
	public String getSpecl_fl() {
		return this.specl_fl;
	}
	public void setSpecl_fl(String specl_fl) {
		this.specl_fl = specl_fl;
	}

	/** 
	 * 序号
	 */ 
	@Id
	private Integer index_seq;
	public Integer getIndex_seq() {
		return this.index_seq;
	}
	public void setIndex_seq(Integer index_seq) {
		this.index_seq = index_seq;
	}

	/** 
	 * 公差项代码(主项)(4040)
	 */ 
	@Column
	private String bias_code;
	public String getBias_code() {
		return this.bias_code;
	}
	public void setBias_code(String bias_code) {
		this.bias_code = bias_code;
	}

	/** 
	 * 公差项名称(主项)
	 */ 
	@Column
	private String bias_name;
	public String getBias_name() {
		return this.bias_name;
	}
	public void setBias_name(String bias_name) {
		this.bias_name = bias_name;
	}

	/** 
	 * 精度等级(4041)
	 */ 
	@Column("LV_CODE")
	private String lvCode;
	
	/** 
	 * 精度等级(4041)
	 */ 
	@Column("LV_DESC")
	private String lvDesc;

	public String getLvCode() {
		return lvCode;
	}
	public void setLvCode(String lvCode) {
		this.lvCode = lvCode;
	}
	public String getLvDesc() {
		return lvDesc;
	}
	public void setLvDesc(String lvDesc) {
		this.lvDesc = lvDesc;
	}

	/** 
	 * 公差约束项一代码(4003)
	 */ 
	@Column
	private String bias_code_z;
	public String getBias_code_z() {
		return this.bias_code_z;
	}
	public void setBias_code_z(String bias_code_z) {
		this.bias_code_z = bias_code_z;
	}

	/** 
	 * 公差约束项一名称
	 */ 
	@Column
	private String bias_name_z;
	public String getBias_name_z() {
		return this.bias_name_z;
	}
	public void setBias_name_z(String bias_name_z) {
		this.bias_name_z = bias_name_z;
	}

	/** 
	 * 公差约束项一下限符号
	 */ 
	@Column
	private String zmin_sign;
	public String getZmin_sign() {
		return this.zmin_sign;
	}
	public void setZmin_sign(String zmin_sign) {
		this.zmin_sign = zmin_sign;
	}

	/** 
	 * 公差约束项一下限值
	 */ 
	@Column
	private String zmin;
	public String getZmin() {
		return this.zmin;
	}
	public void setZmin(String zmin) {
		this.zmin = zmin;
	}

	/** 
	 * 公差约束项一上限符号
	 */ 
	@Column
	private String zmax_sign;
	public String getZmax_sign() {
		return this.zmax_sign;
	}
	public void setZmax_sign(String zmax_sign) {
		this.zmax_sign = zmax_sign;
	}

	/** 
	 * 公差约束项一上限值
	 */ 
	@Column
	private String zmax;
	public String getZmax() {
		return this.zmax;
	}
	public void setZmax(String zmax) {
		this.zmax = zmax;
	}

	/** 
	 * 公差约束项二代码(4003)
	 */ 
	@Column
	private String bias_code_c;
	public String getBias_code_c() {
		return this.bias_code_c;
	}
	public void setBias_code_c(String bias_code_c) {
		this.bias_code_c = bias_code_c;
	}

	/** 
	 * 公差约束项二名称
	 */ 
	@Column
	private String bias_name_c;
	public String getBias_name_c() {
		return this.bias_name_c;
	}
	public void setBias_name_c(String bias_name_c) {
		this.bias_name_c = bias_name_c;
	}

	/** 
	 * 公差约束项二下限符号
	 */ 
	@Column
	private String cmin_sign;
	public String getCmin_sign() {
		return this.cmin_sign;
	}
	public void setCmin_sign(String cmin_sign) {
		this.cmin_sign = cmin_sign;
	}

	/** 
	 * 公差约束项二下限值
	 */ 
	@Column
	private String cmin;
	public String getCmin() {
		return this.cmin;
	}
	public void setCmin(String cmin) {
		this.cmin = cmin;
	}

	/** 
	 * 公差约束项二上限符号
	 */ 
	@Column
	private String cmax_sign;
	public String getCmax_sign() {
		return this.cmax_sign;
	}
	public void setCmax_sign(String cmax_sign) {
		this.cmax_sign = cmax_sign;
	}

	/** 
	 * 公差约束项二上限值
	 */ 
	@Column
	private String cmax;
	public String getCmax() {
		return this.cmax;
	}
	public void setCmax(String cmax) {
		this.cmax = cmax;
	}

	/** 
	 * 公差约束项三代码(4003)
	 */ 
	@Column
	private String bias_code_s;
	public String getBias_code_s() {
		return this.bias_code_s;
	}
	public void setBias_code_s(String bias_code_s) {
		this.bias_code_s = bias_code_s;
	}

	/** 
	 * 公差约束项三名称
	 */ 
	@Column
	private String bias_name_s;
	public String getBias_name_s() {
		return this.bias_name_s;
	}
	public void setBias_name_s(String bias_name_s) {
		this.bias_name_s = bias_name_s;
	}

	/** 
	 * 公差约束项三下限符号
	 */ 
	@Column
	private String smin_sign;
	public String getSmin_sign() {
		return this.smin_sign;
	}
	public void setSmin_sign(String smin_sign) {
		this.smin_sign = smin_sign;
	}

	/** 
	 * 公差约束项三下限值
	 */ 
	@Column
	private String smin;
	public String getSmin() {
		return this.smin;
	}
	public void setSmin(String smin) {
		this.smin = smin;
	}

	/** 
	 * 公差约束项三上限符号
	 */ 
	@Column
	private String smax_sign;
	public String getSmax_sign() {
		return this.smax_sign;
	}
	public void setSmax_sign(String smax_sign) {
		this.smax_sign = smax_sign;
	}

	/** 
	 * 公差约束项三上限值
	 */ 
	@Column
	private String smax;
	public String getSmax() {
		return this.smax;
	}
	public void setSmax(String smax) {
		this.smax = smax;
	}

	/** 
	 * 是否必检项(1:是，0：否)
	 */ 
	@Column
	private String ischeck;
	public String getIscheck() {
		return this.ischeck;
	}
	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	/** 
	 * 标准负值(mm)
	 */ 
	@Column
	private String std_min_val;
	public String getStd_min_val() {
		return this.std_min_val;
	}
	public void setStd_min_val(String std_min_val) {
		this.std_min_val = std_min_val;
	}

	/** 
	 * 标准正值(mm)
	 */ 
	@Column
	private String std_max_val;
	public String getStd_max_val() {
		return this.std_max_val;
	}
	public void setStd_max_val(String std_max_val) {
		this.std_max_val = std_max_val;
	}

	/** 
	 * 标准负值(in)
	 */ 
	@Column
	private String std_min_in;
	public String getStd_min_in() {
		return this.std_min_in;
	}
	public void setStd_min_in(String std_min_in) {
		this.std_min_in = std_min_in;
	}

	/** 
	 * 标准正值(in)
	 */ 
	@Column
	private String std_max_in;
	public String getStd_max_in() {
		return this.std_max_in;
	}
	public void setStd_max_in(String std_max_in) {
		this.std_max_in = std_max_in;
	}

	/** 
	 * 标准负值(%)
	 */ 
	@Column
	private String std_min_percent;
	public String getStd_min_percent() {
		return this.std_min_percent;
	}
	public void setStd_min_percent(String std_min_percent) {
		this.std_min_percent = std_min_percent;
	}

	/** 
	 * 标准正值(%)
	 */ 
	@Column
	private String std_max_percent;
	public String getStd_max_percent() {
		return this.std_max_percent;
	}
	public void setStd_max_percent(String std_max_percent) {
		this.std_max_percent = std_max_percent;
	}

	/** 
	 * 标准公式负值(mm)
	 */ 
	@Column
	private String std_min_formula;
	public String getStd_min_formula() {
		return this.std_min_formula;
	}
	public void setStd_min_formula(String std_min_formula) {
		this.std_min_formula = std_min_formula;
	}

	/** 
	 * 标准公式正值(mm)
	 */ 
	@Column
	private String std_max_formula;
	public String getStd_max_formula() {
		return this.std_max_formula;
	}
	public void setStd_max_formula(String std_max_formula) {
		this.std_max_formula = std_max_formula;
	}

	/** 
	 * 取小值
	 */ 
	@Column
	private String std_min_formula_v;
	public String getStd_min_formula_v() {
		return this.std_min_formula_v;
	}
	public void setStd_min_formula_v(String std_min_formula_v) {
		this.std_min_formula_v = std_min_formula_v;
	}

	/** 
	 * 取大值
	 */ 
	@Column
	private String std_max_formula_v;
	public String getStd_max_formula_v() {
		return this.std_max_formula_v;
	}
	public void setStd_max_formula_v(String std_max_formula_v) {
		this.std_max_formula_v = std_max_formula_v;
	}

	/** 
	 * 标准备注
	 */ 
	@Column
	private String stdmemo;
	public String getStdmemo() {
		return this.stdmemo;
	}
	public void setStdmemo(String stdmemo) {
		this.stdmemo = stdmemo;
	}

	/** 
	 * 分组索引号(同一分组的为多选一项)
	 */ 
	@Column
	private String group_seq;
	public String getGroup_seq() {
		return this.group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}

	/** 
	 * 标准结果下限值（%，公式，多套标准则通过计算得出）
	 */ 
	@Column
	private String std_result_min;
	public String getStd_result_min() {
		return this.std_result_min;
	}
	public void setStd_result_min(String std_result_min) {
		this.std_result_min = std_result_min;
	}

	/** 
	 * 标准结果上限值（%，公式，多套标准则通过计算得出）
	 */ 
	@Column
	private String std_result_max;
	public String getStd_result_max() {
		return this.std_result_max;
	}
	public void setStd_result_max(String std_result_max) {
		this.std_result_max = std_result_max;
	}

	/** 精度类型代码*/
	@Column("PRECISICON_TYPE_CODE")
	private String precisicon_type_code;
	
	/** 精度类型名称*/
	@Column("PRECISICON_TYPE_DESC")
	private String precisicon_type_desc;
	public String getPrecisicon_type_code() {
		return precisicon_type_code;
	}
	public void setPrecisicon_type_code(String precisicon_type_code) {
		this.precisicon_type_code = precisicon_type_code;
	}
	public String getPrecisicon_type_desc() {
		return precisicon_type_desc;
	}
	public void setPrecisicon_type_desc(String precisicon_type_desc) {
		this.precisicon_type_desc = precisicon_type_desc;
	}
	
	/**制程号*/
	@Column
	private String msc_pline;
	
	/**
	 * 适用切边方式代码
	 */
	@Column
	private String cut_edge_type_no;
	
	/**
	 * 适用切边方式描述
	 */
	@Column
	private String cut_edge_type_name;
	
	
	
	
	
	
	
	
	public String getCut_edge_type_no() {
		return cut_edge_type_no;
	}
	public void setCut_edge_type_no(String cut_edge_type_no) {
		this.cut_edge_type_no = cut_edge_type_no;
	}
	public String getCut_edge_type_name() {
		return cut_edge_type_name;
	}
	public void setCut_edge_type_name(String cut_edge_type_name) {
		this.cut_edge_type_name = cut_edge_type_name;
	}

	/**工序代码 */
	@Column
	private String process_code;
	public String getMsc_pline() {
		return msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}
	public String getProcess_code() {
		return process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}
	// 宽度
	private Double width;

	public Double getWidth() {
		return this.width;
	}

	public void setWidth(Double width) {
		this.width = width;
	}

	// 厚度
	private Double thick;

	public Double getThick() {
		return this.thick;
	}

	public void setThick(Double thick) {
		this.thick = thick;
	}

	// 长度
	private Double length;

	public Double getLength() {
		return this.length;
	}

	public void setLength(Double length) {
		this.length = length;
	}
	
	
	private Double judge_unevenness;
	
	
	private Double judge_camber  ;
	
	
	private Double judge_offsquare ;
	
	
	private Double judge_turriform ;
	public Double getJudge_unevenness() {
		return judge_unevenness;
	}
	public void setJudge_unevenness(Double judge_unevenness) {
		this.judge_unevenness = judge_unevenness;
	}
	public Double getJudge_camber() {
		return judge_camber;
	}
	public void setJudge_camber(Double judge_camber) {
		this.judge_camber = judge_camber;
	}
	public Double getJudge_offsquare() {
		return judge_offsquare;
	}
	public void setJudge_offsquare(Double judge_offsquare) {
		this.judge_offsquare = judge_offsquare;
	}
	public Double getJudge_turriform() {
		return judge_turriform;
	}
	public void setJudge_turriform(Double judge_turriform) {
		this.judge_turriform = judge_turriform;
	}
	
	
}